=== debian/changelog ===
libvcflib (1.0.0~rc1+dfsg1-6) unstable; urgency=medium

  * Test suite of freebayes 1.1.0 needs vcfuniq and vcfstreamsort in PATH
    so add according links
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2017 16:05:56 +0200

libvcflib (1.0.0~rc1+dfsg1-5) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Sat, 17 Jun 2017 23:45:29 +0200

libvcflib (1.0.0~rc1+dfsg1-4) experimental; urgency=medium

  * Re-add pkg-config file for easier usage in freebayes which was reverted
    to meet freeze policy

 -- Andreas Tille <tille@debian.org>  Fri, 17 Mar 2017 13:29:20 +0100

libvcflib (1.0.0~rc1+dfsg1-3) unstable; urgency=medium

  * Fix location of binary tools
    Closes: #856424
  * Remove empty debian/upstream/metadata boilerplate

 -- Andreas Tille <tille@debian.org>  Wed, 01 Mar 2017 15:43:05 +0100

libvcflib (1.0.0~rc1+dfsg1-2) experimental; urgency=medium

  * Add pkg-config file for easier usage in freebayes

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2017 09:09:35 +0100

libvcflib (1.0.0~rc1+dfsg1-1) unstable; urgency=medium

  * Adapt to recent PIE changes in dpkg (Thanks for the patch to Adrian Bunk
    <bunk@stusta.de>)
    Closes: #844890
  * d/watch: version=4
  * debhelper 10
  * Remove code copy of libssw
    Closes: #838513
  * Add lintian overrides for false positive

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2016 13:13:12 +0100

libvcflib (1.0.0~rc1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #838020)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Sep 2016 15:52:29 +0200
