=== debian/control ===
Source: libvcflib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-exec,
               python-markdown,
               libtabixpp-dev,
               libdisorder-dev,
               libsmithwaterman-dev (>= 0.0+20160702-2),
               libssw-dev,
               libfastahack-dev,
               pkg-config,
               libipc-run3-perl
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libvcflib.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libvcflib.git
Homepage: https://github.com/ekg/vcflib

Package: libvcflib1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for parsing and manipulating VCF files
 The Variant Call Format (VCF) is a flat-file, tab-delimited textual format
 intended to concisely describe reference-indexed variations between
 individuals. VCF provides a common interchange format for the description of
 variation in individuals and populations of samples, and has become the defacto
 standard reporting format for a wide array of genomic variant detectors.
 .    
 vcflib provides methods to manipulate and interpret sequence variation as it
 can be described by VCF. It is both:
 .
  * an API for parsing and operating on records of genomic variation as it can
    be described by the VCF format,
  * and a collection of command-line utilities for executing complex
    manipulations on VCF files.

Package: libvcflib-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libvcflib1 (= ${binary:Version}),
         libdisorder-dev,
         libtabixpp-dev,
         libsmithwaterman-dev,
         libssw-dev
Description: C++ library for parsing and manipulating VCF files (development)
 The Variant Call Format (VCF) is a flat-file, tab-delimited textual format
 intended to concisely describe reference-indexed variations between
 individuals. VCF provides a common interchange format for the description of
 variation in individuals and populations of samples, and has become the defacto
 standard reporting format for a wide array of genomic variant detectors.
 .    
 vcflib provides methods to manipulate and interpret sequence variation as it
 can be described by VCF. It is both:
 .
  * an API for parsing and operating on records of genomic variation as it can
    be described by the VCF format,
  * and a collection of command-line utilities for executing complex
    manipulations on VCF files.
 .
 This package contains the static library and the header files.

Package: libvcflib-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for parsing and manipulating VCF files (tools)
 The Variant Call Format (VCF) is a flat-file, tab-delimited textual format
 intended to concisely describe reference-indexed variations between
 individuals. VCF provides a common interchange format for the description of
 variation in individuals and populations of samples, and has become the defacto
 standard reporting format for a wide array of genomic variant detectors.
 .    
 vcflib provides methods to manipulate and interpret sequence variation as it
 can be described by VCF. It is both:
 .
  * an API for parsing and operating on records of genomic variation as it can
    be described by the VCF format,
  * and a collection of command-line utilities for executing complex
    manipulations on VCF files.
 .
 This package contains several tools using the library.
