=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	find . -name "*.o" -delete

override_dh_auto_build:
	dh_auto_build
	markdown_py -f README.html README.md

override_dh_auto_test:
	export LD_LIBRARY_PATH=$(CURDIR)/lib/:$LD_LIBRARY_PATH dh_auto_test

override_dh_install:
	dh_install
	find debian -name filevercmp.h -delete
	cp -a filevercmp/filevercmp.h debian/libvcflib-dev/usr/include/vcflib/
	mkdir -p debian/libvcflib-dev/usr/include/intervaltree
	mv debian/libvcflib-dev/usr/include/vcflib/IntervalTree.h debian/libvcflib-dev/usr/include/intervaltree
	mv debian/libvcflib-tools/usr/lib/vcflib/binaries debian/libvcflib-tools/usr/lib/vcflib/bin
	# install pkg-config file
	mkdir -p $(CURDIR)/debian/libvcflib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv libvcflib.pc $(CURDIR)/debian/libvcflib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/*/usr/lib/R/site-library/*/*.R
