=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://github.com/ekg/vcflib/releases .*/archive/v(\d[-\d.rc]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
