## libvcflib 1.0.0~rc2+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,10 @@
 #vcfstats.cpp
 
 BIN_SOURCES = src/vcfecho.cpp \
+			  src/vcfnormalizesvs.cpp \
 			  src/dumpContigsFromHeader.cpp \
 			  src/bFst.cpp \
+			  src/pVst.cpp \
 			  src/hapLrt.cpp \
 			  src/popStats.cpp \
 			  src/wcFst.cpp \
@@ -37,7 +39,7 @@
 			  src/sequenceDiversity.cpp \
 			  src/pFst.cpp \
 			  src/smoother.cpp \
-			  src/LD.cpp \
+			  src/vcfld.cpp \
 			  src/plotHaps.cpp \
 			  src/abba-baba.cpp \
 			  src/permuteGPAT++.cpp \
@@ -105,6 +107,8 @@
 			  src/vcfqual2info.cpp \
 			  src/vcfinfo2qual.cpp \
 			  src/vcfglbound.cpp \
+			  src/vcfunphase.cpp \
+			  src/vcfnull2ref.cpp \
 			  src/vcfinfosummarize.cpp
 
 # when we can figure out how to build on mac
@@ -125,23 +129,24 @@
 FILEVERCMP = filevercmp/filevercmp.o
 
 INCLUDES = -Itabixpp/htslib -I$(INC_DIR) -L. -Ltabixpp/htslib
-LDFLAGS = -L$(LIB_DIR) -lvcflib -lhts -lpthread -lz -lm -fopenmp
-
-
-all: $(OBJECTS) $(BINS)
-
+LDFLAGS = -L$(LIB_DIR) -lvcflib -lhts -lpthread -lz -lm -llzma -lbz2
+
+
+all: $(OBJECTS) $(BINS) scriptToBin
+
+scriptToBin: $(BINS)
+	cp scripts/* bin
 
 GIT_VERSION := $(shell git describe --abbrev=4 --dirty --always)
 
-CXX = g++
-CXXFLAGS = -O3 -D_FILE_OFFSET_BITS=64 -std=c++0x -DVERSION=\"$(GIT_VERSION)\"
+CXXFLAGS = -O3 -D_FILE_OFFSET_BITS=64 -std=c++0x
 #CXXFLAGS = -O2
 #CXXFLAGS = -pedantic -Wall -Wshadow -Wpointer-arith -Wcast-qual
 
 SSW = src/ssw.o src/ssw_cpp.o
 
-ssw.o: src/ssw.h
-ssw_cpp.o:src/ssw_cpp.h
+ssw.o: src/ssw.hpp
+ssw_cpp.o:src/ssw_cpp.hpp
 
 openmp:
 	$(MAKE) CXXFLAGS="$(CXXFLAGS) -fopenmp -D HAS_OPENMP"
@@ -152,7 +157,7 @@
 gprof:
 	$(MAKE) CXXFLAGS="$(CXXFLAGS) -pg" all
 
-$(OBJECTS): $(SOURCES) $(HEADERS) $(TABIX) multichoose pre $(SMITHWATERMAN) $(FILEVERCMP)
+$(OBJECTS): $(SOURCES) $(HEADERS) $(TABIX) multichoose pre $(SMITHWATERMAN) $(FILEVERCMP) $(FASTAHACK)
 	$(CXX) -c -o $@ src/$(*F).cpp $(INCLUDES) $(LDFLAGS) $(CXXFLAGS) && cp src/*.h* $(VCF_LIB_LOCAL)/$(INC_DIR)/
 
 multichoose: pre
@@ -188,7 +193,7 @@
 	$(MAKE) bin/$@
 
 $(BINS): $(BIN_SOURCES) libvcflib.a $(OBJECTS) $(SMITHWATERMAN) $(FASTAHACK) $(DISORDER) $(LEFTALIGN) $(INDELALLELE) $(SSW) $(FILEVERCMP) pre intervaltree
-	$(CXX) src/$(notdir $@).cpp -o $@ $(INCLUDES) $(LDFLAGS) $(CXXFLAGS)
+	$(CXX) src/$(notdir $@).cpp -o $@ $(INCLUDES) $(LDFLAGS) $(CXXFLAGS) -DVERSION=\"$(GIT_VERSION)\"
 
 libvcflib.a: $(OBJECTS) $(SMITHWATERMAN) $(REPEATS) $(FASTAHACK) $(DISORDER) $(LEFTALIGN) $(INDELALLELE) $(SSW) $(FILEVERCMP) $(TABIX) pre
 	ar rs libvcflib.a $(OBJECTS) smithwaterman/sw.o $(FASTAHACK) $(SSW) $(FILEVERCMP) $(TABIX)
