=== debian/changelog ===
libvcflib (1.0.0~rc2+dfsg-4) unstable; urgency=medium

  * Move manpage to vcflib-tools package
    Closes: #933649

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 14:39:28 +0200

libvcflib (1.0.0~rc2+dfsg-3) unstable; urgency=medium

  * Move vcf2tsv and vcfkeepinfo to /usr/bin since it is needed by freebayes
    test
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/control
  * Override dh_dwz to do nothing

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 16:12:42 +0200

libvcflib (1.0.0~rc2+dfsg-2) unstable; urgency=medium

  * Add libfastahack to pkg-config input file
  * Depends: libfastahack-dev

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 13:56:52 +0200

libvcflib (1.0.0~rc2+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Created debian/upstream/metadata for references to
    registries.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Versioned Build-Depends:
       libfastahack-dev (>= 0.0+git20160702.bbc645f+dfsg-5~)
  * Fix header file name
  * Build-Depends: libbz2-dev
  * Fix installation target dir
  * Fix interpreter lines and add missing interpreter dependencies

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 22:34:23 +0200
