=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                python-markdown,
                libtabixpp-dev,
+               libbz2-dev,
                libdisorder-dev,
                libsmithwaterman-dev (>= 0.0+20160702-2),
                libssw-dev,
-               libfastahack-dev,
+               libfastahack-dev (>= 0.0+git20160702.bbc645f+dfsg-5~),
                pkg-config,
                libipc-run3-perl
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libvcflib.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libvcflib.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/libvcflib
+Vcs-Git: https://salsa.debian.org/med-team/libvcflib.git
 Homepage: https://github.com/ekg/vcflib
 
 Package: libvcflib1
@@ -29,7 +30,7 @@
  individuals. VCF provides a common interchange format for the description of
  variation in individuals and populations of samples, and has become the defacto
  standard reporting format for a wide array of genomic variant detectors.
- .    
+ .
  vcflib provides methods to manipulate and interpret sequence variation as it
  can be described by VCF. It is both:
  .
@@ -45,6 +46,7 @@
          ${misc:Depends},
          libvcflib1 (= ${binary:Version}),
          libdisorder-dev,
+         libfastahack-dev,
          libtabixpp-dev,
          libsmithwaterman-dev,
          libssw-dev
@@ -54,7 +56,7 @@
  individuals. VCF provides a common interchange format for the description of
  variation in individuals and populations of samples, and has become the defacto
  standard reporting format for a wide array of genomic variant detectors.
- .    
+ .
  vcflib provides methods to manipulate and interpret sequence variation as it
  can be described by VCF. It is both:
  .
@@ -68,14 +70,22 @@
 Package: libvcflib-tools
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python,
+         r-base-core,
+         r-cran-plyr,
+         r-cran-ggplot2,
+         r-cran-gridbase
+Breaks: libvcflib1 (<= 1.0.0~rc2+dfsg-3)
+Replaces: libvcflib1 (<= 1.0.0~rc2+dfsg-3)
+Suggests: r-cran-pracma
 Description: C++ library for parsing and manipulating VCF files (tools)
  The Variant Call Format (VCF) is a flat-file, tab-delimited textual format
  intended to concisely describe reference-indexed variations between
  individuals. VCF provides a common interchange format for the description of
  variation in individuals and populations of samples, and has become the defacto
  standard reporting format for a wide array of genomic variant detectors.
- .    
+ .
  vcflib provides methods to manipulate and interpret sequence variation as it
  can be described by VCF. It is both:
  .
