=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,9 @@
 	markdown_py -f README.html README.md
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	export LD_LIBRARY_PATH=$(CURDIR)/lib/:$LD_LIBRARY_PATH dh_auto_test
+endif
 
 override_dh_install:
 	dh_install
@@ -28,7 +30,14 @@
 	# install pkg-config file
 	mkdir -p $(CURDIR)/debian/libvcflib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	mv libvcflib.pc $(CURDIR)/debian/libvcflib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	rm -rf debian/*/usr/lib/vcflib/bin/*.R
+	for pl in `grep -Rl '#!/usr/bin/env' debian/*/usr/*` ; do \
+	    sed -i '1s?^#!/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
+	done
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/*/usr/lib/R/site-library/*/*.R
+
+override_dh_dwz:
+	echo "Do nothing here"
