=== test/Makefile ===
--- 
+++ 
@@ -20,4 +20,4 @@
 run: tests/main
 	./tests/main
 clean:
-	rm tests/main
+	rm -f tests/main
