=== debian/changelog ===
libvcflib (1.0.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Improve the usage of these packages during cross-building

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 12 Feb 2020 13:00:17 +0100

libvcflib (1.0.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * -tools: add ${perl:Depends}
  * libvcflib{1,-dev}: add Multi-Arch: same
  * Standards-Version: 4.4.1

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 26 Dec 2019 15:54:27 +0100

libvcflib (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Updated homepage URL
  * Major rewrite of patches

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 11 Dec 2019 13:11:23 +0100

libvcflib (1.0.0+dfsg-2) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #936930
  * Use markdown instead of python-markdown

 -- Andreas Tille <tille@debian.org>  Fri, 06 Sep 2019 09:05:48 +0200

libvcflib (1.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version; patches refreshed
  * libvcflib-tools: promote vcffilter to /usr/bin; add basic autopkgtests
  * hardening fixed
  * update libvcflib.pc to reference upstream libraries
  * fixed spelling typos
  * updated debian/include/IntervalTree.h from https://github.com/ekg/intervaltree/blob/master/IntervalTree.h

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 04 Sep 2019 13:00:09 +0900
