=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
-               python-markdown,
+               markdown <!nodoc>,
                libtabixpp-dev,
                libbz2-dev,
                libdisorder-dev,
@@ -13,15 +13,16 @@
                libssw-dev,
                libfastahack-dev (>= 0.0+git20160702.bbc645f+dfsg-5~),
                pkg-config,
-               libipc-run3-perl
-Standards-Version: 4.4.0
+               libipc-run3-perl <!nocheck>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/libvcflib
 Vcs-Git: https://salsa.debian.org/med-team/libvcflib.git
-Homepage: https://github.com/ekg/vcflib
+Homepage: https://github.com/vcflib/vcflib
 
 Package: libvcflib1
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: C++ library for parsing and manipulating VCF files
@@ -42,8 +43,8 @@
 Package: libvcflib-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Multi-Arch: same
+Depends: ${misc:Depends},
          libvcflib1 (= ${binary:Version}),
          libdisorder-dev,
          libfastahack-dev,
@@ -71,7 +72,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         python,
+         ${perl:Depends},
+         python3:any,
          r-base-core,
          r-cran-plyr,
          r-cran-ggplot2,
