=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
 
-# DH_VERBOSE := 1
+DH_VERBOSE := 1
 
+include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+export HTS_LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export GIT_VERSION=$(DEB_VERSION)
 
 %:
 	dh $@
@@ -13,7 +17,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	markdown_py -f README.html README.md
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	markdown README.md > README.html
+endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -26,7 +32,6 @@
 	cp -a filevercmp/filevercmp.h debian/libvcflib-dev/usr/include/vcflib/
 	mkdir -p debian/libvcflib-dev/usr/include/intervaltree
 	mv debian/libvcflib-dev/usr/include/vcflib/IntervalTree.h debian/libvcflib-dev/usr/include/intervaltree
-	mv debian/libvcflib-tools/usr/lib/vcflib/binaries debian/libvcflib-tools/usr/lib/vcflib/bin
 	# install pkg-config file
 	mkdir -p $(CURDIR)/debian/libvcflib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	mv libvcflib.pc $(CURDIR)/debian/libvcflib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
@@ -38,6 +43,3 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/*/usr/lib/R/site-library/*/*.R
-
-override_dh_dwz:
-	echo "Do nothing here"
