=== debian/changelog ===
libvcflib (1.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: unit tests: Use DEB_HOST_GNU_TYPE instead of
    DEB_HOST_MULTIARCH for finding the build directory

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Jan 2021 13:03:40 +0100

libvcflib (1.0.2+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Added binaries expected by bcbio to /usr/bin
  * d/rules - clean: Removing generated README.html

  [ Michael R. Crusoe ]
  * debian/copyright: Update Files-Excluded
  * Standards-Version: 4.5.1 (routine-update)
  * New upstream release
  * Switch to cmake, update patches

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Jan 2021 11:16:19 +0100

libvcflib (1.0.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/use_debian_packaged_smithwaterman.patch: adjust
    inclusion of the packaged
    /usr/include/smithwaterman/SmithWatermanGotoh.h
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update patch headers.
  * IntervalTree.h patch is no longer needed

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 31 Oct 2020 21:57:30 +0100
