=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                markdown <!nodoc>,
                libtabixpp-dev,
                libbz2-dev,
@@ -13,11 +13,12 @@
                libssw-dev,
                libfastahack-dev (>= 0.0+git20160702.bbc645f+dfsg-5~),
                pkg-config,
-               libipc-run3-perl <!nocheck>
-Standards-Version: 4.4.1
+               libgtest-dev <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/libvcflib
 Vcs-Git: https://salsa.debian.org/med-team/libvcflib.git
 Homepage: https://github.com/vcflib/vcflib
+Rules-Requires-Root: no
 
 Package: libvcflib1
 Architecture: any
@@ -72,7 +73,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${perl:Depends},
          python3:any,
          r-base-core,
          r-cran-plyr,
