=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,18 @@
 export GIT_VERSION=$(DEB_VERSION)
 
 %:
-	dh $@
+	dh $@ --buildsystem cmake
 
 override_dh_clean:
 	dh_clean
 	find . -name "*.o" -delete
+	rm -f README.html
+
+override_dh_auto_clean:
+	dh_auto_clean || true
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DOPENMP=ON
 
 override_dh_auto_build:
 	dh_auto_build
@@ -23,7 +30,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	export LD_LIBRARY_PATH=$(CURDIR)/lib/:$LD_LIBRARY_PATH dh_auto_test
+	export LD_LIBRARY_PATH=$(CURDIR)/obj-${DEB_HOST_GNU_TYPE}/:$$LD_LIBRARY_PATH && cd test && $(MAKE)
 endif
 
 override_dh_install:
