=== debian/watch ===
version=4

opts="uversionmangle=s/-rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://github.com/vcflib/vcflib/releases .*/vcflib-(\d[-\d.rc]+)-src\.(?:tar(?:\.gz|\.bz2)?|tgz)
