## libvcflib 1.0.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
                libtabixpp-dev,
                libbz2-dev,
                libdisorder-dev,
-               libsmithwaterman-dev (>= 0.0+20160702-2),
+               libsmithwaterman-dev,
                libssw-dev,
-               libfastahack-dev (>= 0.0+git20160702.bbc645f+dfsg-5~),
+               libfastahack-dev,
                pkg-config,
-               libgtest-dev <!nocheck>
-Standards-Version: 4.5.1
+               libgtest-dev <!nocheck>,
+               debhelper
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libvcflib
 Vcs-Git: https://salsa.debian.org/med-team/libvcflib.git
 Homepage: https://github.com/vcflib/vcflib
@@ -22,8 +23,8 @@
 
 Package: libvcflib1
 Architecture: any
+Multi-Arch: same
 Section: libs
-Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: C++ library for parsing and manipulating VCF files
@@ -43,8 +44,8 @@
 
 Package: libvcflib-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Multi-Arch: same
 Depends: ${misc:Depends},
          libvcflib1 (= ${binary:Version}),
          libdisorder-dev,
@@ -78,9 +79,9 @@
          r-cran-plyr,
          r-cran-ggplot2,
          r-cran-gridbase
+Suggests: r-cran-pracma
 Breaks: libvcflib1 (<= 1.0.0~rc2+dfsg-3)
 Replaces: libvcflib1 (<= 1.0.0~rc2+dfsg-3)
-Suggests: r-cran-pracma
 Description: C++ library for parsing and manipulating VCF files (tools)
  The Variant Call Format (VCF) is a flat-file, tab-delimited textual format
  intended to concisely describe reference-indexed variations between
